AttributeError: 'BatchInputSelectionPanel' object has no attribute 'getText'
Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.2 Regression?: Yes

Operating System: Windows 7 64bits SP1 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27245

Description

When trying to merge 2 Raster files in geotiff (from http://srtm.csi.cgiar.org/),

    -  in Batch Process,

    -  to each layer one line

    -  no pseudo-color retrieving

    -  no separate bands

    -  Float32 output

    -  load layers,

I get an fatal error and the python log reads :

WARNING    Traceback (most recent call last):

              File "C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins\processing\gui\BatchAlgorithmDialog.py", line 86, in accept

              parameters[param.name()] = wrapper.value()

              File "C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins\processing\gui\wrappers.py", line 726, in value

              return self.widget.getText()

             AttributeError: 'BatchInputSelectionPanel' object has no attribute 'getText'

It looks the same as [Bug report #17837 AttributeError: 'BatchInputSelectionPanel' object has no attribute 'getText'] which got closed as

duplicate of [Bug report #17821 batchmode for gdal/translate do not work with actual master 2.99], which itself got closed as fixed by

changeset qgis|dc99b8b2f00d2b4be5ece684e8bd222890adb161.

Hence I marked it as regression.

Python-Version: 3.6.5 (v3.6.5:f59c0932b4, Mar 28 2018, 17:00:18) [MSC v.1900 64 bit (AMD64)]

QGIS-Version: 3.2.0-Bonn, bc43194061

Associated revisions

Revision f993ec05 - 2018-07-16 01:00 AM - Salvatore Larosa

Fixes #19417 - AttributeError: 'BatchInputSelectionPanel' object has no attribute 'getText'

Revision da6f83bd - 2018-07-16 02:39 AM - Salvatore Larosa

Fixes #19417 - AttributeError: 'BatchInputSelectionPanel' object has no attribute 'getText'

(cherry-picked from f993ec0)

History

#1 - 2018-07-16 12:59 AM - Salvatore Larosa

- % Done changed from 0 to 100
http://srtm.csi.cgiar.org/


- Status changed from Open to Closed

Applied in changeset commit:qgis|f993ec05be4dc18de74ea37da1d2292a8283279b.
